Skip to main content
`Ctrl`+`K`

# PetscQuadratureComputePermutations

Compute permutations of quadrature points corresponding to domain orientations

## Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscQuadratureComputePermutations(PetscQuadrature quad, PetscInt *Np, IS *perm[])

## Input Parameter

- quad - The `PetscQuadrature`

## Output Parameters

- Np - The number of domain orientations

- perm - An array of `IS` permutations, one for ech orientation,

## See Also

`PetscQuadratureSetCellType()`, `PetscQuadrature`

## Level

developer

## Location

src/dm/dt/interface/dt.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages